D-Bus: DBusRealString Struct Reference

D-Bus 1.14.6

Data Fields
DBusRealString Struct Reference

Internals of DBusString. More...

`#include <dbus-string-private.h>`

## Data Fields
unsigned char * | str
| String data, plus nul termination.
int | len
| Length without nul.
int | allocated
| Allocated size of data.
unsigned int | constant: 1
| String data is not owned by DBusString.
unsigned int | locked: 1
| DBusString has been locked and can't be changed.
unsigned int | valid: 1
| DBusString is valid (initialized and not freed)
unsigned int | align_offset: 3
| str - align_offset is the actual malloc block

## Detailed Description

Internals of DBusString.

DBusString internals. DBusString is an opaque objects, it must be used via accessor functions.

Definition at line 43 of file dbus-string-private.h.

## Field Documentation

## ◆ align_offset

unsigned int DBusRealString::align_offset

str - align_offset is the actual malloc block

Definition at line 51 of file dbus-string-private.h.

Referenced by _dbus_string_free(), _dbus_string_init_const_len(), _dbus_string_init_preallocated(), and _dbus_string_zero().

## ◆ allocated

int DBusRealString::allocated

Allocated size of data.

Definition at line 47 of file dbus-string-private.h.

Referenced by _dbus_string_free(), _dbus_string_init_const_len(), _dbus_string_init_preallocated(), and _dbus_string_zero().

## ◆ constant

unsigned int DBusRealString::constant

String data is not owned by DBusString.

Definition at line 48 of file dbus-string-private.h.

Referenced by _dbus_string_free(), _dbus_string_init_const_len(), and _dbus_string_init_preallocated().

## ◆ len

int DBusRealString::len

Length without nul.

Definition at line 46 of file dbus-string-private.h.

Referenced by _dbus_string_append_byte(), _dbus_string_append_printf_valist(), _dbus_string_copy_data(), _dbus_string_copy_to_buffer(), _dbus_string_copy_to_buffer_with_nul(), _dbus_string_ends_with_c_str(), _dbus_string_equal(), _dbus_string_equal_c_str(), _dbus_string_equal_len(), _dbus_string_equal_substring(), _dbus_string_find_blank(), _dbus_string_find_eol(), _dbus_string_free(), _dbus_string_init_const_len(), _dbus_string_init_preallocated(), _dbus_string_lengthen(), _dbus_string_move(), _dbus_string_shorten(), _dbus_string_skip_blank(), _dbus_string_skip_white(), _dbus_string_starts_with_c_str(), _dbus_string_validate_ascii(), _dbus_string_validate_nul(), and _dbus_string_validate_utf8().

## ◆ locked

unsigned int DBusRealString::locked

DBusString has been locked and can't be changed.

Definition at line 49 of file dbus-string-private.h.

Referenced by _dbus_string_free(), _dbus_string_init_const_len(), and _dbus_string_init_preallocated().

## ◆ str

unsigned char* DBusRealString::str

String data, plus nul termination.

Definition at line 45 of file dbus-string-private.h.

Referenced by _dbus_string_append_byte(), _dbus_string_append_printf_valist(), _dbus_string_copy_data(), _dbus_string_copy_to_buffer(), _dbus_string_copy_to_buffer_with_nul(), _dbus_string_ends_with_c_str(), _dbus_string_equal(), _dbus_string_equal_c_str(), _dbus_string_equal_len(), _dbus_string_equal_substring(), _dbus_string_find_blank(), _dbus_string_find_eol(), _dbus_string_find_to(), _dbus_string_free(), _dbus_string_get_data_len(), _dbus_string_init_const_len(), _dbus_string_init_preallocated(), _dbus_string_insert_2_aligned(), _dbus_string_insert_4_aligned(), _dbus_string_insert_8_aligned(), _dbus_string_insert_byte(), _dbus_string_insert_bytes(), _dbus_string_skip_blank(), _dbus_string_skip_white(), _dbus_string_skip_white_reverse(), _dbus_string_starts_with_c_str(), _dbus_string_steal_data(), _dbus_string_tolower_ascii(), _dbus_string_toupper_ascii(), _dbus_string_validate_ascii(), _dbus_string_validate_nul(), _dbus_string_validate_utf8(), and _dbus_string_zero().

## ◆ valid

unsigned int DBusRealString::valid

DBusString is valid (initialized and not freed)

Definition at line 50 of file dbus-string-private.h.

Referenced by _dbus_string_free(), _dbus_string_init_const_len(), and _dbus_string_init_preallocated().

The documentation for this struct was generated from the following file:

- dbus-string-private.h